## mig-m68k-gnu 1.0-1

=== debian/changelog ===
mig-m68k-gnu (1.0-1) unstable; urgency=low

  * Initial release.

 -- Edward Brocklesby <ejb@debian.org>  Tue, 27 Oct 1998 17:44:04 +0100

Local variables:
mode: debian-changelog
End:
