=== debian/control ===
Source: mig-m68k-gnu
Section: devel
Priority: extra
Maintainer: Edward Brocklesby <ejb@debian.org>
Standards-Version: 2.5.0

Package: mig-m68k-gnu
Architecture: any
Depends: ${shlibs:Depends}, gcc-m68k-gnu
Description: Cross-MiG for m68k
 This is a cross-MiG, required to cross compile the GNU Mach/m68k kernel.
