=== debian/rules ===
#!/usr/bin/make -f

package = mig-m68k-gnu
docdir = debian/tmp/usr/doc/$(package)

build:
	$(checkdir)
	./configure --prefix=/usr/m68k-gnu --target=m68k-gnu --host=`uname -m`-unknown-`uname -s|tr A-Z a-z`
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/bin
	$(MAKE) install prefix=`pwd`/debian/tmp/usr/m68k-gnu \
		INSTALL_PROGRAM="install -c -s"
		INSTALL_SCRIPT="install -c"
	#mv debian/tmp/usr/m68k-gnu/bin/mig debian/tmp/usr/bin/m68k-gnu-mig
	ln -s ../../bin/m68k-gnu-mig debian/tmp/usr/m68k-gnu/bin/mig
	cp -p debian/changelog $(docdir)/changelog.Debian
	cp -p ChangeLog $(docdir)/changelog
	cp -p NEWS README debian/copyright $(docdir)
	cd $(docdir) && gzip -9 changelog changelog.Debian
	dpkg-shlibdeps debian/tmp/usr/m68k-gnu/libexec/m68k-gnu-migcom
	dpkg-gencontrol
	cd debian/tmp && md5sum `find * -type f ! -regex "DEBIAN/.*"` >DEBIAN/md5sums
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
